
Name:          maven-scala-plugin
Version:       2.15.2
Release:       %mkrel 1
Summary:       Maven Scala Plugin
Group:         Development/Java 
License:       ASL 2.0
Url:           http://scala-tools.org/mvnsites/maven-scala-plugin/
# git clone git://github.com/davidB/maven-scala-plugin.git
# cd maven-scala-plugin/ && git archive --format=tar --prefix=maven-scala-plugin-2.15.2/ v2.15.2  | xz > ../maven-scala-plugin-2.15.2-src-git.tar.xz
Source0:       maven-scala-plugin-2.15.2-src-git.tar.xz
#Source1:       ...
#Patch0:        ...
BuildRequires: animal-sniffer
BuildRequires: apache-commons-exec
BuildRequires: apiviz
BuildRequires: jackson
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-docck-plugin
BuildRequires: maven-doxia
BuildRequires: maven-invoker-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-shared-dependency-tree
BuildRequires: maven-shared-invoker
BuildRequires: maven-site-plugin
BuildRequires: mojo-signatures
BuildRequires: plexus-utils
BuildRequires: scala
BuildRequires: snakeyaml
BuildRequires: taglist-maven-plugin

Requires:      maven
Requires:      scala

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

# Build Summary:
#   Passed: 6, Failed: 8, Errors: 0, Skipped: 0
# -------------------------------------------------
# The following builds failed:
# *  test_scaladoc2_onJavaScala/pom.xml
# *  27_scalac-plugin/pom.xml
# *  27_scalac-plugin/src/it/plugin-test/pom.xml
# *  test_goal_site/pom.xml
# *  test1/pom.xml
# *  includesExcludes/pom.xml
# *  27_vscaladocOnMultiModules/pom.xml
# *  27_scaladocOnMultiModules/pom.xml
# -------------------------------------------------

%description
The %{name} is used for compiling/testing/running/documenting scala code in maven.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Maven Scala Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# maven-site-plugin
sed -i "s|3.0-beta-2|2.3|" pom.xml
%build

mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/maven-scala-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Sep 05 2011 dmorgan <dmorgan> 2.15.2-1.mga2
+ Revision: 138698
- Adapt to mageia guidelines

  + gil <gil>
    - imported package maven-scala-plugin

